Subject: Re: [PATCH 4/5] builtin/repo: find commit with most parents

From: Justin Tobler <[email-masked]>
Date: Wed, 18 Feb 2026 14:06:45 -0600

On 26/02/04 12:14AM, Kristoffer Haugsbakk wrote:
> On Tue, Feb 3, 2026, at 23:48, Junio C Hamano wrote:
> > Justin Tobler <[email-masked]> writes:
> >
> >> Complex merge events may produce an octopus merge where the resulting
> >> merge commit has more than two parents. While iterating through objects
> >> in the repository for git-repo-structure, identify the commit with the
> >> most parents and display it in the output.
> >
> > Does the size of octopus have anything more than a curiosity value?
> 
> I’m guessing this stat is inspired by git-sizer.[1][2] This is all that
> the project says about “octopus”:
> 
>     * Are there other bizarre and questionable things in your repository?
> 
>         * Annotated tags pointing at one another in long chains?
>         * Octopus merges with dozens of parents?
>         * Commits with gigantic log messages?
> 
> It marks the max of 10 in this repo as a “one star” (*) concern
> (lowest). The 66 parent commit in the Linux Kernel gets six stars.

Yup, this is taken from git-sizer. From my perspective the max parents
value largely just provides additional insight into how the repository
may have been used/structured.

-Justin